
/* * -----------------------------
 * Fullsceen menu
 * ----------------------------- */
/* logos */
.rd-logo,
.rd-menu__logo {
    position: absolute;
    top: 2rem;
    left: 2rem;
}

.rd-logo a,
.rd-menu__logo a {
    text-decoration: none;
    text-transform: uppercase;
    color: #000;
    font-size: 60px;
    font-variation-settings: "wght" 100;
}

.rd-menu__logo a {
    color: #fff;
}

/* menu toggle btn */
.rd-menu-toggle {
    /* position: absolute */
    /* top: 0.9rem */
    /* right: 2rem */
    /* width: 120px */
    /* height: 60px */
    /* color: var(--dark) */
    /* background-color: rgba(226, 226, 223, 0.4) */
    /* backdrop-filter: blur(30px) */
    /* border-radius: 100vw */
    /* transition: width 0.5s cubic-bezier(0.075, 0.82, 0.165, 1) */
    /* transform-origin: right */
    /* cursor: pointer */
    /* z-index: 10 */
    /* right: 2.2rem */
}

/* .rd-menu-toggle.rd-menu-toggle--opened {
    width: 60px;
} */
.rd-menu-copy {
    position: absolute;
    top: 50%;
    left: 30px;
    transform: translateY(-50%);

    /* color: #fff */
    transition: left 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
    z-index: 1;
}

.rd-menu-copy p {
    text-transform: uppercase;
    font-variation-settings: "wght" 500;

    /* font-size: 12px */
    margin: 0;
    padding: 0;
}

.rd-menu-toggle:hover .rd-menu-copy {
    left: 20px;
}

.rd-menu-toggle.rd-menu-toggle--opened .rd-menu-copy {
    opacity: 0;
}

/* .rd-menu-toggle__icon {
    position: absolute;
    right: 0;
    width: 60px;
    height: 60px;
    border-radius: 100%;
    clip-path: circle(10% at 50% 50%);
    background-color: #C2D528;
    transition: all 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
    z-index: 10;
    overflow: hidden;
} */
.rd-menu-toggle__icon {
    /* position: absolute */
    /* right: 0 */
    /* width: 3.25rem */
    /* height: 3.25rem */
    /* border-radius: 100% */
    /* clip-path: circle(50% at 50% 50%) */
    /* Changed from 10% to 35% to match hover state */
    /* background-color: #C2D528; */
    /* background-color: rgba(255, 255, 255, 0.4) */
    /* backdrop-filter: blur(30px) */
    /* transition: all 0.5s cubic-bezier(0.075, 0.82, 0.165, 1) */
    /* z-index: 10 */
    /* overflow: hidden */
}

.rd-menu-toggle:hover .rd-menu-toggle__icon {
    /* clip-path: circle(35% at 50% 50%); */
}

.rd-menu-toggle.rd-menu-toggle--opened .rd-menu-toggle__icon {
    clip-path: circle(50% at 50% 50%);
    transform: scale(1.125);
}

/* .rd-hamburger {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 1s cubic-bezier(0.075, 0.82, 0.165, 1);
    opacity: 0;
} */
.rd-hamburger {
    position: absolute;

    /* top: 50% */
    /* Changed from 60% to 50% to match hover state */
    /* left: 50% */
    /* transform: translate(-50%, -50%) */
    /* width: 3.25rem */
    /* height: 3.25rem */
    /* display: flex */
    /* justify-content: center */
    /* align-items: center */
    /* transition: all 1s cubic-bezier(0.075, 0.82, 0.165, 1) */
    opacity: 1;

    /* Changed from 0 to 1 to be visible by default */
}

.rd-menu-toggle:hover .rd-hamburger,
.rd-menu-toggle.rd-menu-toggle--opened .rd-hamburger {
    /* top: 50%;
    opacity: 1; */
}

.rd-menu-bar {
    position: absolute;
    width: 15px;
    height: 1.5px;
    background: var(--dark);
    transition-property: transform;
    transition: all 250ms ease-out;
}

.rd-menu-bar[data-position="top"] {
    transform: translateY(-3px);
}

.rd-menu-bar[data-position="bottom"] {
    transform: translateY(3px);
}

.rd-menu-toggle.rd-menu-toggle--opened .rd-menu-bar[data-position="top"] {
    transform: translateY(0) rotate(45deg) scaleX(1.05);
}

.rd-menu-toggle.rd-menu-toggle--opened .rd-menu-bar[data-position="bottom"] {
    transform: translateY(0) rotate(-45deg) scaleX(1.05);
}

/* menu */
.rd-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    background-color: var(--dark);
    clip-path: polygon(0% 100%, 100% 100%, 100% 100%, 0% 100%);
    pointer-events: none;
    transform-style: preserve-3d;
    perspective: 1000px;
    will-change: clip-path;
}

.rd-menu__col--1 {
    flex: 1;
}

.rd-menu__col--2 {
    flex: 2;
}

.rd-menu__col {
    position: relative;
    height: 100%;
    padding: 10em 2em 2em 2em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
}

.rd-menu__link {
    position: relative;
    transform: translateY(30px);

    /* opacity: 0 */
}

.rd-menu__link a {
    /* text-decoration: none */
    /* color: #fff */
    /* font-size: 48px */
    /* font-weight: 300 */
    /* letter-spacing: -1.5px */
    /* line-height: 125% */
}

.rd-menu__video-wrapper {
    width: 100%;
    aspect-ratio: 16/9;
    background-color: #1d1d1d;
    clip-path: polygon(0% 100%, 100% 100%, 100% 100%, 0% 100%);
    overflow: hidden;
}

.rd-menu__video-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.rd-menu__socials {
    width: 75%;
    display: flex;
    gap: 2rem;
}

.rd-menu__sub-col {
    flex: 1;
}

.rd-menu__sub-col p {
    position: relative;
    color: var(--white);
    transform: translateY(30px);
    opacity: 0;
    text-transform: uppercase;
    font-size: 1rem;
    font-variation-settings: "wght" 500;
    margin-bottom: 1rem;
}

.rd-menu__header h1 {
    color: #fff;
    text-transform: uppercase;
    font-size: 500px;
    font-variation-settings: "wght" 500;
    line-height: 100%;
}

.rd-menu__header h1 span {
    position: relative;
    display: inline-block;
    transform: scale(0.75) translateY(500px) rotateY(90deg);
    transform-origin: bottom;
}

@media (max-width: 900px) {
    .rd-menu__col--1 {
        flex: 2;
        align-items: flex-start;
    }

    .rd-menu__link a {
        font-size: 30px;
    }

    .rd-menu__video-wrapper {
        padding: 0.4em;
    }

    .rd-menu__socials {
        width: 100%;
        flex-direction: column;
        gap: 8rem;
    }

    .rd-menu__header h1 {
        font-size: 150px;
        height: 120px;
    }
}